diff --git a/wwjcloud/src/common/upload/controllers/adminapi/storage.controller.ts b/wwjcloud/src/common/upload/controllers/adminapi/storage.controller.ts
index 97ff17b..ac7c489 100644
--- a/wwjcloud/src/common/upload/controllers/adminapi/storage.controller.ts
+++ b/wwjcloud/src/common/upload/controllers/adminapi/storage.controller.ts
@@ -6,6 +6,7 @@ import {
   Req,
   Body,
   Query,
+  UnauthorizedException,
 } from '@nestjs/common';
 import {
   ApiTags,
@@ -42,7 +43,10 @@ export class AdminStorageController {
   @Roles('super', 'admin')
   async lists(@Req() req: any) {
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
 
     return this.storageService.getStorageList(siteId);
   }
@@ -60,7 +64,10 @@ export class AdminStorageController {
     @Req() req: any,
   ): Promise<GetStorageConfigDto> {
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
 
     return this.storageService.getStorageConfig(storage_type, siteId);
   }
@@ -74,7 +81,10 @@ export class AdminStorageController {
   @Roles('super', 'admin')
   async edit(@Body() data: SetStorageConfigDto, @Req() req: any) {
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
 
     await this.storageService.setStorageConfig(data, siteId);
     return { message: 'SET_SUCCESS' };
diff --git a/wwjcloud/src/common/upload/controllers/adminapi/upload.controller.ts b/wwjcloud/src/common/upload/controllers/adminapi/upload.controller.ts
index 8a77b82..d0513b8 100644
--- a/wwjcloud/src/common/upload/controllers/adminapi/upload.controller.ts
+++ b/wwjcloud/src/common/upload/controllers/adminapi/upload.controller.ts
@@ -9,6 +9,7 @@ import {
   Req,
   Param,
   Body,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { FileInterceptor } from '@nestjs/platform-express';
 import {
@@ -85,7 +86,10 @@ export class AdminUploadController {
     }
 
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
     const uid = req.user?.uid || 0;
     const userType = req.user?.userType || 'admin';
     const userContext = { siteId, uid, userType };
@@ -129,7 +133,10 @@ export class AdminUploadController {
     }
 
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
     const uid = req.user?.uid || 0;
     const userType = req.user?.userType || 'admin';
     const userContext = { siteId, uid, userType };
@@ -169,7 +176,10 @@ export class AdminUploadController {
     }
 
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
     const uid = req.user?.uid || 0;
     const userType = req.user?.userType || 'admin';
     const userContext = { siteId, uid, userType };
@@ -186,7 +196,10 @@ export class AdminUploadController {
   @Roles('super', 'admin')
   async setUploadConfig(@Body() data: SetUploadConfigDto, @Req() req: any) {
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
 
     await this.uploadConfigService.setUploadConfig(data, siteId);
     return { message: 'SET_SUCCESS' };
@@ -201,7 +214,10 @@ export class AdminUploadController {
   @Roles('super', 'admin')
   async getUploadConfig(@Req() req: any): Promise<GetUploadConfigDto> {
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
 
     return this.uploadConfigService.getUploadConfig(siteId);
   }
diff --git a/wwjcloud/src/common/upload/controllers/api/upload.controller.ts b/wwjcloud/src/common/upload/controllers/api/upload.controller.ts
index f921a92..602a848 100644
--- a/wwjcloud/src/common/upload/controllers/api/upload.controller.ts
+++ b/wwjcloud/src/common/upload/controllers/api/upload.controller.ts
@@ -7,6 +7,7 @@ import {
   UseGuards,
   Req,
   Body,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { FileInterceptor } from '@nestjs/platform-express';
 import {
@@ -59,7 +60,10 @@ export class ApiUploadController {
     }
 
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
     const uid = req.user?.member_id || 0;
     const userType = 'member';
     const userContext = { siteId, uid, userType };
@@ -94,7 +98,10 @@ export class ApiUploadController {
     }
 
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
     const uid = req.user?.member_id || 0;
     const userType = 'member';
     const userContext = { siteId, uid, userType };
@@ -126,7 +133,10 @@ export class ApiUploadController {
     }
 
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
     const uid = req.user?.member_id || 0;
     const userType = 'member';
     const userContext = { siteId, uid, userType };
@@ -159,7 +169,10 @@ export class ApiUploadController {
     }
 
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
     const uid = req.user?.member_id || 0;
     const userType = 'member';
     const userContext = { siteId, uid, userType };
diff --git a/wwjcloud/src/common/upload/services/core/CoreUploadService.ts b/wwjcloud/src/common/upload/services/core/CoreUploadService.ts
index 12c7a65..364db4f 100644
--- a/wwjcloud/src/common/upload/services/core/CoreUploadService.ts
+++ b/wwjcloud/src/common/upload/services/core/CoreUploadService.ts
@@ -1,17 +1,14 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository } from 'typeorm';
-import { BaseService } from '@wwjCore/base/BaseService';
-import { Attachment } from '../../../upload/entities/Attachment';
+import { SysAttachment } from '../../../sys/entities/SysAttachment';
 
 @Injectable()
-export class CoreUploadService extends BaseService<Attachment> {
+export class CoreUploadService {
   constructor(
-    @InjectRepository(Attachment)
-    private attachmentRepository: Repository<Attachment>,
-  ) {
-    super(attachmentRepository);
-  }
+    @InjectRepository(SysAttachment)
+    private attachmentRepository: Repository<SysAttachment>,
+  ) {}
 
   /**
    * 上传文件
@@ -19,15 +16,15 @@ export class CoreUploadService extends BaseService<Attachment> {
   async uploadFile(file: Express.Multer.File, body: { site_id: number; category_id?: number; type?: string }) {
     const attachment = this.attachmentRepository.create({
       site_id: body.site_id,
-      file_name: file.originalname,
-      file_path: file.path,
-      file_size: file.size,
-      file_type: file.mimetype,
-      file_md5: '', // 这里应该计算MD5
-      file_url: `/uploads/${file.path}`,
+      name: file.originalname,
+      real_name: file.originalname,
+      path: file.path,
+      att_size: file.size.toString(),
+      att_type: file.mimetype,
+      url: `/uploads/${file.path}`,
       storage_type: 'local',
-      storage_config: '{}',
-      status: 1,
+      cate_id: body.category_id || 0,
+      create_time: Math.floor(Date.now() / 1000),
     });
 
     const saved = await this.attachmentRepository.save(attachment);
@@ -35,12 +32,12 @@ export class CoreUploadService extends BaseService<Attachment> {
     return {
       success: true,
       data: {
-        file_id: saved.attachment_id,
-        file_name: saved.file_name,
-        file_path: saved.file_path,
-        file_url: saved.file_url,
-        file_size: saved.file_size,
-        file_type: saved.file_type,
+        file_id: saved.att_id,
+        file_name: saved.name,
+        file_path: saved.path,
+        file_url: saved.url,
+        file_size: saved.att_size,
+        file_type: saved.att_type,
       },
     };
   }
@@ -49,32 +46,32 @@ export class CoreUploadService extends BaseService<Attachment> {
    * 批量上传
    */
   async batchUpload(files: any[], site_id: number) {
-    const attachments = files.map(file => 
+    const attachments = files.map(file =>
       this.attachmentRepository.create({
         site_id,
-        file_name: file.originalname,
-        file_path: file.path,
-        file_size: file.size,
-        file_type: file.mimetype,
-        file_md5: '', // 这里应该计算MD5
-        file_url: `/uploads/${file.path}`,
+        name: file.originalname,
+        real_name: file.originalname,
+        path: file.path,
+        dir: '',
+        att_size: String(file.size),
+        att_type: file.mimetype,
+        url: `/uploads/${file.path}`,
         storage_type: 'local',
-        storage_config: '{}',
-        status: 1,
-      })
+        cate_id: 0,
+      } as Partial<SysAttachment>)
     );
 
     const saved = await this.attachmentRepository.save(attachments);
     
     return {
       success: true,
-      data: saved.map(attachment => ({
-        file_id: attachment.attachment_id,
-        file_name: attachment.file_name,
-        file_path: attachment.file_path,
-        file_url: attachment.file_url,
-        file_size: attachment.file_size,
-        file_type: attachment.file_type,
+      data: saved.map((attachment: SysAttachment) => ({
+        file_id: attachment.att_id,
+        file_name: attachment.name,
+        file_path: attachment.path,
+        file_url: attachment.url,
+        file_size: attachment.att_size,
+        file_type: attachment.att_type,
       })),
     };
   }
@@ -94,7 +91,7 @@ export class CoreUploadService extends BaseService<Attachment> {
    * 删除文件
    */
   async deleteFile(file_id: number) {
-    const result = await this.attachmentRepository.delete({ attachment_id: file_id });
+    const result = await this.attachmentRepository.delete({ att_id: file_id } as any);
     return {
       success: (result.affected || 0) > 0,
       message: (result.affected || 0) > 0 ? '删除成功' : '文件不存在',
diff --git a/wwjcloud/src/common/upload/upload.controller.ts b/wwjcloud/src/common/upload/upload.controller.ts
index 5429f83..d6f546f 100644
--- a/wwjcloud/src/common/upload/upload.controller.ts
+++ b/wwjcloud/src/common/upload/upload.controller.ts
@@ -7,6 +7,7 @@ import {
   BadRequestException,
   UseGuards,
   Req,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { FileInterceptor, FilesInterceptor } from '@nestjs/platform-express';
 import { ApiTags, ApiConsumes, ApiBody, ApiBearerAuth } from '@nestjs/swagger';
@@ -52,7 +53,10 @@ export class UploadController {
     @Req() req: any,
   ) {
     // 从JWT token中获取用户信息
-    const siteId = req.user?.site_id || 0;
+    const siteId = req.user?.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
     const uid = req.user?.uid || req.user?.member_id || 0;
     const userType = req.user?.userType || 'member';
     const userContext = { siteId, uid, userType };
diff --git a/wwjcloud/src/common/wechat/controllers/api/WechatServeApiController.ts b/wwjcloud/src/common/wechat/controllers/api/WechatServeApiController.ts
index 2bb1f96..d2bc6dd 100644
--- a/wwjcloud/src/common/wechat/controllers/api/WechatServeApiController.ts
+++ b/wwjcloud/src/common/wechat/controllers/api/WechatServeApiController.ts
@@ -6,6 +6,7 @@ import {
   Param,
   Query,
   UseGuards,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
 import { WechatServeApiService } from '../../services/api/WechatServeApiService';
@@ -68,7 +69,10 @@ export class WechatServeApiController {
    */
   @Get('media')
   async getMedia(@Query() query: any) {
-    const siteId = query.site_id || 0;
+    const siteId = query.site_id;
+    if (!siteId) {
+      throw new UnauthorizedException('Missing site_id');
+    }
     const mediaId = query.media_id || '';
     return this.wechatServeApiService.getMedia(siteId, mediaId);
   }
diff --git a/wwjcloud/src/common/wechat/entities/WechatFans.ts b/wwjcloud/src/common/wechat/entities/WechatFans.ts
index 94710a3..55244c4 100644
--- a/wwjcloud/src/common/wechat/entities/WechatFans.ts
+++ b/wwjcloud/src/common/wechat/entities/WechatFans.ts
@@ -4,68 +4,72 @@ import {
   Column,
   ManyToOne,
   JoinColumn,
+  CreateDateColumn,
+  UpdateDateColumn,
 } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
 import { Wechat } from './Wechat';
 
 @Entity('wechat_fans')
-export class WechatFans extends BaseEntity {
+export class WechatFans {
   @PrimaryGeneratedColumn({ name: 'fans_id' })
   fans_id: number;
 
-  @Column({ name: 'wechat_id', type: 'int', default: 0 })
-  wechat_id: number;
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
 
-  @Column({ name: 'openid', type: 'varchar', length: 255, default: '' })
-  openid: string;
-
-  @Column({ name: 'unionid', type: 'varchar', length: 255, default: '' })
-  unionid: string;
-
-  @Column({ name: 'nickname', type: 'varchar', length: 255, default: '' })
+  @Column({ name: 'nickname', type: 'varchar', length: 255, default: '', comment: '昵称' })
   nickname: string;
 
-  @Column({ name: 'headimgurl', type: 'varchar', length: 1000, default: '' })
-  headimgurl: string;
+  @Column({ name: 'avatar', type: 'varchar', length: 500, default: '', comment: '头像' })
+  avatar: string;
 
-  @Column({ name: 'sex', type: 'tinyint', default: 0 })
+  @Column({ name: 'sex', type: 'smallint', default: 1, comment: '性别' })
   sex: number;
 
-  @Column({ name: 'country', type: 'varchar', length: 100, default: '' })
-  country: string;
-
-  @Column({ name: 'province', type: 'varchar', length: 100, default: '' })
-  province: string;
-
-  @Column({ name: 'city', type: 'varchar', length: 100, default: '' })
-  city: string;
-
-  @Column({ name: 'language', type: 'varchar', length: 50, default: '' })
+  @Column({ name: 'language', type: 'varchar', length: 20, default: '', comment: '用户语言' })
   language: string;
 
-  @Column({ name: 'subscribe', type: 'tinyint', default: 0 })
-  subscribe: number;
+  @Column({ name: 'country', type: 'varchar', length: 60, default: '', comment: '国家' })
+  country: string;
 
-  @Column({ name: 'subscribe_time', type: 'int', default: 0 })
-  subscribe_time: number;
+  @Column({ name: 'province', type: 'varchar', length: 255, default: '', comment: '省' })
+  province: string;
 
-  @Column({ name: 'remark', type: 'varchar', length: 500, default: '' })
-  remark: string;
+  @Column({ name: 'city', type: 'varchar', length: 255, default: '', comment: '城市' })
+  city: string;
 
-  @Column({ name: 'groupid', type: 'int', default: 0 })
+  @Column({ name: 'district', type: 'varchar', length: 255, default: '', comment: '行政区/县' })
+  district: string;
+
+  @Column({ name: 'openid', type: 'varchar', length: 255, default: '', comment: '用户的标识，对当前公众号唯一' })
+  openid: string;
+
+  @Column({ name: 'unionid', type: 'varchar', length: 255, default: '', comment: '粉丝unionid' })
+  unionid: string;
+
+  @Column({ name: 'groupid', type: 'int', default: 0, comment: '粉丝所在组id' })
   groupid: number;
 
-  @Column({ name: 'tagid_list', type: 'varchar', length: 500, default: '' })
-  tagid_list: string;
+  @Column({ name: 'is_subscribe', type: 'tinyint', default: 1, comment: '是否订阅' })
+  is_subscribe: number;
 
-  @Column({ name: 'subscribe_scene', type: 'varchar', length: 100, default: '' })
+  @Column({ name: 'remark', type: 'varchar', length: 255, default: '', comment: '备注' })
+  remark: string;
+
+  @Column({ name: 'subscribe_time', type: 'int', default: 0, comment: '关注时间' })
+  subscribe_time: number;
+
+  @Column({ name: 'subscribe_scene', type: 'varchar', length: 100, default: '', comment: '返回用户关注的渠道来源' })
   subscribe_scene: string;
 
-  @Column({ name: 'qr_scene', type: 'varchar', length: 100, default: '' })
-  qr_scene: string;
+  @Column({ name: 'unsubscribe_time', type: 'int', default: 0, comment: '取消关注时间' })
+  unsubscribe_time: number;
 
-  @Column({ name: 'qr_scene_str', type: 'varchar', length: 100, default: '' })
-  qr_scene_str: string;
+  @Column({ name: 'app_id', type: 'int', default: 0, comment: '应用appid' })
+  app_id: number;
+
+  @CreateDateColumn({ name: 'update_time', type: 'int', default: 0, comment: '粉丝信息最后更新时间' })
+  update_time: number;
 
   @ManyToOne(() => Wechat, wechat => wechat.fans)
   @JoinColumn({ name: 'wechat_id' })
diff --git a/wwjcloud/src/common/wechat/services/core/CoreWechatService.ts b/wwjcloud/src/common/wechat/services/core/CoreWechatService.ts
index 6acc7f5..2c9b659 100644
--- a/wwjcloud/src/common/wechat/services/core/CoreWechatService.ts
+++ b/wwjcloud/src/common/wechat/services/core/CoreWechatService.ts
@@ -28,7 +28,7 @@ export class CoreWechatService extends BaseService<Wechat> {
 
   async getInfo(wechat_id: number) {
     return this.wechatRepository.findOne({
-      where: { wechat_id },
+      where: { wechat_id: wechat_id } as any,
       relations: ['configs', 'fans', 'media'],
     });
   }
@@ -57,13 +57,13 @@ export class CoreWechatService extends BaseService<Wechat> {
 
   async getFans(wechat_id: number) {
     return this.wechatFansRepository.find({
-      where: { wechat_id },
+      where: { wechat: { wechat_id: wechat_id } } as any,
     });
   }
 
   async getMedia(wechat_id: number) {
     return this.wechatMediaRepository.find({
-      where: { wechat_id },
+      where: { wechat_id: wechat_id } as any,
     });
   }
 
diff --git a/wwjcloud/src/core/event/eventModule.ts b/wwjcloud/src/core/event/eventModule.ts
index 31f8ce3..0d7c4c9 100644
--- a/wwjcloud/src/core/event/eventModule.ts
+++ b/wwjcloud/src/core/event/eventModule.ts
@@ -2,10 +2,23 @@ import { Module, Global } from '@nestjs/common';
 import { EventService } from './eventService';
 import { EventBusSubscriber } from './eventSubscriber';
 import { EventBusPublisher } from './eventBusPublisher';
+import { DomainEventService } from './domainEventService';
 
 @Global()
 @Module({
-  providers: [EventService, EventBusSubscriber, EventBusPublisher],
-  exports: [EventService, EventBusSubscriber, EventBusPublisher],
+  providers: [
+    EventService,
+    EventBusSubscriber,
+    EventBusPublisher,
+    DomainEventService,
+    { provide: 'IEventBus', useExisting: EventService },
+  ],
+  exports: [
+    EventService,
+    EventBusSubscriber,
+    EventBusPublisher,
+    DomainEventService,
+    { provide: 'IEventBus', useExisting: EventService } as any,
+  ],
 })
 export class EventModule {}
diff --git a/wwjcloud/src/core/event/eventService.ts b/wwjcloud/src/core/event/eventService.ts
index 50c1850..9bdefc5 100644
--- a/wwjcloud/src/core/event/eventService.ts
+++ b/wwjcloud/src/core/event/eventService.ts
@@ -39,6 +39,14 @@ export class EventService {
     // TODO: 实现具体的订阅逻辑
   }
 
+  async unsubscribe(
+    event: string,
+    handler: (data: any) => Promise<void>,
+  ): Promise<void> {
+    this.logger.debug(`Unsubscribing from event: ${event}`);
+    // TODO: 实现具体的取消订阅逻辑
+  }
+
   private generateId(): string {
     return `${Date.now()}-${Math.random().toString(36).substr(2, 9)}`;
   }
